Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java.drawable
Class Win32SunJDK13GLDrawableFactory

    java.lang.Object
      |
      +--gl4java.drawable.GLDrawableFactory
            |
            +--gl4java.drawable.SunJDK13GLDrawableFactory
                  |
                  +--gl4java.drawable.Win32SunJDK13GLDrawableFactory

public class Win32SunJDK13GLDrawableFactory
extends SunJDK13GLDrawableFactory

Constructor Summary
`Win32SunJDK13GLDrawableFactory()`

Method Summary
`java.awt.GraphicsConfiguration` | `getGraphicsConfiguration(GLCapabilities capabilities, java.awt.GraphicsDevice device)` Returns the GraphicsConfiguration most closely matching the specified set of GLCapabilities and your given device ! Return null if there was no matching visual.

Methods inherited from class gl4java.drawable.SunJDK13GLDrawableFactory
`createGLAnimCanvas, createGLCanvas, getGraphicsConfiguration`

Methods inherited from class gl4java.drawable.GLDrawableFactory
`createGLAnimCanvas, createGLAnimJPanel, createGLAnimJPanel, createGLCanvas, createGLJPanel, createGLJPanel, getFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Win32SunJDK13GLDrawableFactory

    public Win32SunJDK13GLDrawableFactory()

Method Detail

### getGraphicsConfiguration

    public java.awt.GraphicsConfiguration getGraphicsConfiguration(GLCapabilities capabilities,
                                                                   java.awt.GraphicsDevice device)

  Description copied from class: `SunJDK13GLDrawableFactory`
  Returns the GraphicsConfiguration most closely matching the specified set of GLCapabilities and your given device ! Return null if there was no matching visual.
  Overrides:
    `getGraphicsConfiguration` in class `SunJDK13GLDrawableFactory`
  Following copied from class: `gl4java.drawable.SunJDK13GLDrawableFactory`
  Parameters:
    `capabilities` - the requested set of OpenGL capabilities of the canvas
    `device` - the used GraphicsDevice, e.g. usefull for FullScreen mode !
  Returns:
    a GraphicsConfiguration supporting the set of specified capabilities, or null if there was no matching visual

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD